Google Chrome for Linux



4 Linux

Requirements: Intel Pentium 4 / Athlon 64 or later CPU; 32- or 64-bit Ubuntu 8.04 or later, or 32-bit Debian 5. Support for other Linux distributions is planned; unpacking the .deb files by hand may work.

Note: Installing Google Chrome will add the Google repository so your system will automatically keep Chrome up to date. If you don't want Google's repository, do "sudo touch /etc/default/google-chrome" before installing the package.
Download and install the package appropriate for your system (just clicking on it should do the right thing):




    Have fun !
    ~ DREAMER

      No comments:

      Post a Comment